List Calls
curl --request GET \
--url https://api-prod.interactly.ai/calls/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/calls/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/calls/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 10,
"conversations": [
{
"id": "a12f9c88-c155-461f-9771-4d240cdc9a04",
"teamId": "1f7b1b1b1b1b1b1b1b1b1b1b",
"assistantId": "3f7b1b1b1b1b1b1b1b1b1b1b",
"callType": "web",
"direction": "inbound",
"startAt": "2020-10-05T00:00:00.000Z",
"endAt": "2020-10-05T00:00:00.000Z",
"userNumber": "+919867543210",
"assistantNumber": "+19867543211",
"status": "finished",
"phoneCallStatus": "ringing",
"callEndTriggerBy": "user",
"monitor": {
"controlUrl": "https://<domain>.interactly.ai/calls/v1/conversations/<random-id>/control"
},
"analysis": {
"summary": "The user called Dentistry to schedule an appointment.",
"successEvaluation": "success",
"structuredData": {}
}
}
]
}Calls
List Calls
This API will return the list of calls based on the filter criteria.
GET
/
calls
/
v1
/
conversations
List Calls
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Filter the calls by start date. The date should be in ISO 8601 format, Ex: 2024-11-01T00:00:00.000Z
Example:
"2024-11-01T00:00:00.000Z"
Filter the calls by end date. The date should be in ISO 8601 format, Ex: 2024-11-30T23:59:59.999Z
Example:
"2024-11-30T23:59:59.999Z"
To see the calls list of a particular page number.
Example:
1
Number of calls per page.
Example:
10
Sort the calls by a field
Available options:
startAt, endAt, status, conversationId Example:
"startAt"